org.apache.lucene.index

## Class AssertingLeafReader

- java.lang.Object
- - org.apache.lucene.index.IndexReader
  - - org.apache.lucene.index.LeafReader
    - - org.apache.lucene.index.FilterLeafReader
      - - org.apache.lucene.index.AssertingLeafReader

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class AssertingLeafReader
      extends FilterLeafReader

  A `FilterLeafReader` that can be used to apply additional checks for tests.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AssertingLeafReader.AssertingBinaryDocValues` Wraps a BinaryDocValues but with additional asserts
    `static class` | `AssertingLeafReader.AssertingBits` Wraps a Bits but with additional asserts
    `static class` | `AssertingLeafReader.AssertingFields` Wraps a Fields but with additional asserts
    `static class` | `AssertingLeafReader.AssertingImpactsEnum` Wraps a `ImpactsEnum` with additional checks
    `static class` | `AssertingLeafReader.AssertingNumericDocValues` Wraps a NumericDocValues but with additional asserts
    `static class` | `AssertingLeafReader.AssertingPointValues` Wraps a SortedSetDocValues but with additional asserts
    `static class` | `AssertingLeafReader.AssertingPostingsEnum` Wraps a docsenum with additional checks
    `static class` | `AssertingLeafReader.AssertingSortedDocValues` Wraps a SortedDocValues but with additional asserts
    `static class` | `AssertingLeafReader.AssertingSortedNumericDocValues` Wraps a SortedNumericDocValues but with additional asserts
    `static class` | `AssertingLeafReader.AssertingSortedSetDocValues` Wraps a SortedSetDocValues but with additional asserts
    `static class` | `AssertingLeafReader.AssertingTerms` Wraps a Terms but with additional asserts

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.FilterLeafReader

      `FilterLeafReader.FilterFields, FilterLeafReader.FilterPostingsEnum, FilterLeafReader.FilterTerms, FilterLeafReader.FilterTermsEnum`

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.IndexReader

      `IndexReader.CacheHelper, IndexReader.CacheKey, IndexReader.ClosedListener`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.index.FilterLeafReader

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssertingLeafReader(LeafReader in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BinaryDocValues` | `getBinaryDocValues(String field)`
    `IndexReader.CacheHelper` | `getCoreCacheHelper()`
    `Bits` | `getLiveDocs()`
    `NumericDocValues` | `getNormValues(String field)`
    `NumericDocValues` | `getNumericDocValues(String field)`
    `PointValues` | `getPointValues(String field)`
    `IndexReader.CacheHelper` | `getReaderCacheHelper()`
    `SortedDocValues` | `getSortedDocValues(String field)`
    `SortedNumericDocValues` | `getSortedNumericDocValues(String field)`
    `SortedSetDocValues` | `getSortedSetDocValues(String field)`
    `Fields` | `getTermVectors(int docID)`
    `Terms` | `terms(String field)`

    - ### Methods inherited from class org.apache.lucene.index.FilterLeafReader

      `checkIntegrity, doClose, document, getDelegate, getFieldInfos, getMetaData, maxDoc, numDocs, toString, unwrap`

    - ### Methods inherited from class org.apache.lucene.index.LeafReader

      `docFreq, getContext, getDocCount, getSumDocFreq, getSumTotalTermFreq, postings, postings, totalTermFreq`

    - ### Methods inherited from class org.apache.lucene.index.IndexReader

      `close, decRef, document, document, ensureOpen, equals, getRefCount, getTermVector, hasDeletions, hashCode, incRef, leaves, numDeletedDocs, registerParentReader, tryIncRef`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AssertingLeafReader

          public AssertingLeafReader(LeafReader in)

  - ### Method Detail

    - #### terms

          public Terms terms(String field)
                      throws IOException

      Overrides:
        `terms` in class `FilterLeafReader`
      Throws:
        `IOException`

    - #### getTermVectors

          public Fields getTermVectors(int docID)
                                throws IOException

      Overrides:
        `getTermVectors` in class `FilterLeafReader`
      Throws:
        `IOException`

    - #### getNumericDocValues

          public NumericDocValues getNumericDocValues(String field)
                                               throws IOException

      Overrides:
        `getNumericDocValues` in class `FilterLeafReader`
      Throws:
        `IOException`

    - #### getBinaryDocValues

          public BinaryDocValues getBinaryDocValues(String field)
                                             throws IOException

      Overrides:
        `getBinaryDocValues` in class `FilterLeafReader`
      Throws:
        `IOException`

    - #### getSortedDocValues

          public SortedDocValues getSortedDocValues(String field)
                                             throws IOException

      Overrides:
        `getSortedDocValues` in class `FilterLeafReader`
      Throws:
        `IOException`

    - #### getSortedNumericDocValues

          public SortedNumericDocValues getSortedNumericDocValues(String field)
                                                           throws IOException

      Overrides:
        `getSortedNumericDocValues` in class `FilterLeafReader`
      Throws:
        `IOException`

    - #### getSortedSetDocValues

          public SortedSetDocValues getSortedSetDocValues(String field)
                                                   throws IOException

      Overrides:
        `getSortedSetDocValues` in class `FilterLeafReader`
      Throws:
        `IOException`

    - #### getNormValues

          public NumericDocValues getNormValues(String field)
                                         throws IOException

      Overrides:
        `getNormValues` in class `FilterLeafReader`
      Throws:
        `IOException`

    - #### getPointValues

          public PointValues getPointValues(String field)
                                     throws IOException

      Overrides:
        `getPointValues` in class `FilterLeafReader`
      Throws:
        `IOException`

    - #### getLiveDocs

          public Bits getLiveDocs()

      Overrides:
        `getLiveDocs` in class `FilterLeafReader`

    - #### getCoreCacheHelper

          public IndexReader.CacheHelper getCoreCacheHelper()

      Specified by:
        `getCoreCacheHelper` in class `LeafReader`

    - #### getReaderCacheHelper

          public IndexReader.CacheHelper getReaderCacheHelper()

      Specified by:
        `getReaderCacheHelper` in class `IndexReader`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.